#!/bin/bash

LIBS="-L/usr/src/tmp/pastix-buildroot/usr/lib -lpastix -lgfortran -lm -lrt -Wl,-R/usr/lib/openmpi/lib -L/usr -lmetis  -L/usr/lib -lscotch -lscotcherrexit    -L/usr/lib -lptscotch -lscotcherrexit -lpthread";
INC="-I/usr/src/tmp/pastix-buildroot/usr/lib";
CC="mpicc -Wall";
CL="mpicc -Wall";
FC="mpif90  -ffree-form -x f95-cpp-input -pipe -Wall -fPIC -DPIC";
FL="mpif90 ";
OPTS="-DFORCE_LONG -DLONG -DFORCE_DOUBLE -DPREC_DOUBLE  -DTHREAD_COMM -DNUMA_ALLOC -DMETIS -I/usr/include/metis -I/usr/include			      -I/usr/include -DDISTRIBUTED	     ";
BLAS="-lblas";
VERSION="2200";

usage="usage : $0 [options] - Shows PaStiX libs, includes and compiler\n";
usage="$usage\toptions : \n";
usage="$usage\t\t--libs\t\t - prints librairies\n";
usage="$usage\t\t--incs\t   - prints includes\n";
usage="$usage\t\t--cc\t\t   - prints C compiler\n";
usage="$usage\t\t--cl\t\t   - prints C linker\n";
usage="$usage\t\t--fc\t\t   - prints fortran compiler\n";
usage="$usage\t\t--fl\t\t   - prints fortran linker\n";
usage="$usage\t\t--opts\t\t - prints PaStiX compiling options\n";
usage="$usage\t\t--vers\t\t - prints PaStiX version\n";
usage="$usage\t\t--blas\t\t - prints blas choosen in config.in\n";

if [ $# = 0 ]
then
    echo -n "Librairies       : " ;
    echo $LIBS;
    echo -n "Incs             : " ;
    echo $INC;
    echo -n "C Compiler       : " ;
    echo $CC;
    echo -n "Fortran Compiler : " ;
    echo $FC;
    echo -n "C Linker         : " ;
    echo $CL;
    echo -n "Fortran Linker   : " ;
    echo $FL;
    echo -n "Options          : " ;
    echo $OPTS;
    echo -n "Version          : " ;
    echo $VERSION;
    echo -n "Blas             ! " ;
    echo $BLAS;
elif [ $# = 1 ]
then
    case $1 in
	--libs)
	    echo $LIBS;;
	--incs)
	    echo $INC;;
	--cc)
	    echo $CC;;
	--fc)
	    echo $FC;;
	--cl)
	    echo $CL;;
	--fl)
	    echo $FL;;	
	--opts)
	    echo $OPTS;;
	--blas)
	    echo $BLAS;;
	--vers) 
	    echo $VERSION;;

	*)
	    echo -e $usage
    esac;
else
    echo -e $usage
fi;
