/* Copyright 2008 BORDEAUX I UNIVERSITY & INRIA 
**
** This file is part of the PaStiX parallel sparse matrix package.
**
** This software is governed by the CeCILL-C license under French law
** and abiding by the rules of distribution of free software. You can
** use, modify and/or redistribute the software under the terms of the
** CeCILL-C license as circulated by CEA, CNRS and INRIA at the following
** URL: "http://www.cecill.info".
** 
** As a counterpart to the access to the source code and rights to copy,
** modify and redistribute granted by the license, users are provided
** only with a limited warranty and the software's author, the holder of
** the economic rights, and the successive licensors have only limited
** liability.
** 
** In this respect, the user's attention is drawn to the risks associated
** with loading, using, modifying and/or developing or reproducing the
** software by the user in light of its specific status of free software,
** that may mean that it is complicated to manipulate, and that also
** therefore means that it is reserved for developers and experienced
** professionals having in-depth computer knowledge. Users are therefore
** encouraged to load and test the software's suitability as regards
** their requirements in conditions enabling the security of their
** systems and/or data to be ensured and, more generally, to use and
** operate it in the same conditions as regards security.
** 
** The fact that you are presently reading this means that you have had
** knowledge of the CeCILL-C license and that you accept its terms.
*/
#define CSC_H
#ifndef COMMON_H
#include "common_pastix.h"
#endif

#define CSC_FNBR(a) (a)->cscfnbr /* cblk nbr */
#define CSC_FTAB(a) (a)->cscftab
#define CSC_COLNBR(a,b) (a)->cscftab[b].colnbr
#define CSC_COLTAB(a,b) (a)->cscftab[b].coltab
#define CSC_COL(a,b,c) (a)->cscftab[b].coltab[c]
#define CSC_ROWTAB(a) (a)->rowtab
#define CSC_ROW(a,b) (a)->rowtab[b]
#define CSC_VALTAB(a) (a)->valtab
#define CSC_VAL(a,b) (a)->valtab[b]
/* 1ere ligne de la colonne c dans cblk b */
#define CSC_FROW(a,b,c) (a)->rowtab[(a)->cscftab[b].coltab[c]]
/* 1ere valeur de la colonne c dans cblk b */
#define CSC_FVAL(a,b,c) (a)->valtab[(a)->cscftab[b].coltab[c]]
/* Nombre d'element */
#define CSC_VALNBR(a) (a)->cscftab[(a)->cscfnbr\
				   -1].coltab[(a)->cscftab[(a)->cscfnbr\
							   -1].colnbr]
typedef struct CscFormat_ {
  INT colnbr;
  INT * coltab;
} CscFormat;

typedef struct CscMatrix_ {
  INT cscfnbr;
  CscFormat * cscftab;
  INT * rowtab;
  FLOAT * valtab;
} CscMatrix;
