/* Copyright 2008 BORDEAUX I UNIVERSITY & INRIA 
**
** This file is part of the PaStiX parallel sparse matrix package.
**
** This software is governed by the CeCILL-C license under French law
** and abiding by the rules of distribution of free software. You can
** use, modify and/or redistribute the software under the terms of the
** CeCILL-C license as circulated by CEA, CNRS and INRIA at the following
** URL: "http://www.cecill.info".
** 
** As a counterpart to the access to the source code and rights to copy,
** modify and redistribute granted by the license, users are provided
** only with a limited warranty and the software's author, the holder of
** the economic rights, and the successive licensors have only limited
** liability.
** 
** In this respect, the user's attention is drawn to the risks associated
** with loading, using, modifying and/or developing or reproducing the
** software by the user in light of its specific status of free software,
** that may mean that it is complicated to manipulate, and that also
** therefore means that it is reserved for developers and experienced
** professionals having in-depth computer knowledge. Users are therefore
** encouraged to load and test the software's suitability as regards
** their requirements in conditions enabling the security of their
** systems and/or data to be ensured and, more generally, to use and
** operate it in the same conditions as regards security.
** 
** The fact that you are presently reading this means that you have had
** knowledge of the CeCILL-C license and that you accept its terms.
*/
#ifdef PASTIX_RENAME
/*
  File: redefine_functions.h

  This file redefine function names, adding _PASTIX_ 
  in prefix to all internal function.

  Authors:
     Xavier Lacoste - lacoste@labri.fr
*/

#define PASTIX_PREFIX(x) _PASTIX_ ## x

/* Common functions */
#define api_dumparm		        _PASTIX_api_dumparm
#define clockGet		        _PASTIX_clockGet
#define errorPrint		        _PASTIX_errorPrint
#define errorPrintW		        _PASTIX_errorPrintW
#define errorProg		        _PASTIX_errorProg
#define intAscn			        _PASTIX_intAscn
#define intLoad			        _PASTIX_intLoad
#define intPerm			        _PASTIX_intPerm
#define intRandInit		        _PASTIX_intRandInit
#define intRandReset		        _PASTIX_intRandReset
#define intSave			        _PASTIX_intSave
#define intSort1asc1		        _PASTIX_intSort1asc1
#define intSort2asc1		        _PASTIX_intSort2asc1
#define intSort2asc2		        _PASTIX_intSort2asc2
#define intSort3asc1		        _PASTIX_intSort3asc1
#define memAllocGroup		        _PASTIX_memAllocGroup
#define memOffset		        _PASTIX_memOffset
#define memReallocGroup		        _PASTIX_memReallocGroup
#define partitionner		        _PASTIX_partitionner
#define partitionner2		        _PASTIX_partitionner2
#define quickSort		        _PASTIX_quickSort
#define quickSort2		        _PASTIX_quickSort2
#define set_dparm		        _PASTIX_set_dparm
#define set_iparm		        _PASTIX_set_iparm
#define usagePrint		        _PASTIX_usagePrint
#define sortColRowValueAsc              _PASTIX_sortColRowValueAsc
#define sortColRowAsc                   _PASTIX_sortColRowAsc

/* Blend funcions */
#define allSolverMatrixSave             _PASTIX_allSolverMatrixSave
#define assemblyGener		        _PASTIX_assemblyGener
#define blendCtrlExit		        _PASTIX_blendCtrlExit
#define blendCtrlInit		        _PASTIX_blendCtrlInit
#define blendParamExit		        _PASTIX_blendParamExit
#define blendParamInit		        _PASTIX_blendParamInit
#define blokUpdateCost		        _PASTIX_blokUpdateCost
#define Bubble_Add		        _PASTIX_Bubble_Add
#define Bubble_buildtree	        _PASTIX_Bubble_buildtree
#define Bubble_Free		        _PASTIX_Bubble_Free
#define Bubble_InitTree		        _PASTIX_Bubble_InitTree
#define build_cblk		        _PASTIX_build_cblk
#define build_smx		        _PASTIX_build_smx
#define cblkComputeCost		        _PASTIX_cblkComputeCost
#define cblkComputeCost2D	        _PASTIX_cblkComputeCost2D
#define cblkCost		        _PASTIX_cblkCost
#define cblkMaxCost		        _PASTIX_cblkMaxCost
#define cblkNbr			        _PASTIX_cblkNbr
#define check_candidat		        _PASTIX_check_candidat
#define cholesky		        _PASTIX_cholesky
#define comp_int		        _PASTIX_comp_int
#define compTimer		        _PASTIX_compTimer
#define computeBlockCtrbNbr	        _PASTIX_computeBlockCtrbNbr
#define computeCost		        _PASTIX_computeCost
#define computeTaskReceiveTime	        _PASTIX_computeTaskReceiveTime
#define compWith2keys		        _PASTIX_compWith2keys
#define contribAddCost		        _PASTIX_contribAddCost
#define contribCompCost		        _PASTIX_contribCompCost
#define costExit		        _PASTIX_costExit
#define costFtgtAdd		        _PASTIX_costFtgtAdd
#define costFtgtSend		        _PASTIX_costFtgtSend
#define costInit		        _PASTIX_costInit
#define costMatrixBuild		        _PASTIX_costMatrixBuild
#define costMatrixCorrect	        _PASTIX_costMatrixCorrect
#define countBlok		        _PASTIX_countBlok
#define crout_2t		        _PASTIX_crout_2t
#define crout_3t		        _PASTIX_crout_3t
#define crout_blok		        _PASTIX_crout_blok
#define crout_hyb		        _PASTIX_crout_hyb
#define DIAGCost		        _PASTIX_DIAGCost
#define distribPart		        _PASTIX_distribPart
#define E1Cost			        _PASTIX_E1Cost
#define E2Cost			        _PASTIX_E2Cost
#define egraphExit		        _PASTIX_egraphExit
#define egraphInit		        _PASTIX_egraphInit
#define eliminGraphBuild	        _PASTIX_eliminGraphBuild
#define eliminTreeBuild		        _PASTIX_eliminTreeBuild
#define etreeBuild		        _PASTIX_etreeBuild
#define extendint_Add		        _PASTIX_extendint_Add
#define extendint_Clear		        _PASTIX_extendint_Clear
#define extendint_Exit		        _PASTIX_extendint_Exit
#define extendint_incr		        _PASTIX_extendint_incr
#define extendint_Init		        _PASTIX_extendint_Init
#define extendint_Read		        _PASTIX_extendint_Read
#define extendint_Size		        _PASTIX_extendint_Size
#define extendint_ToSize	        _PASTIX_extendint_ToSize
#define extracostExit		        _PASTIX_extracostExit
#define extracostInit		        _PASTIX_extracostInit
#define extra_inc_blok		        _PASTIX_extra_inc_blok
#define extra_inc_cblk		        _PASTIX_extra_inc_cblk
#define extrasymbolExit		        _PASTIX_extrasymbolExit
#define extrasymbolInit		        _PASTIX_extrasymbolInit
#define getFaceBlockE2		        _PASTIX_getFaceBlockE2
#define getFtgtInd2		        _PASTIX_getFtgtInd2
#define getFtgtNextAccess	        _PASTIX_getFtgtNextAccess
#define getNextProc		        _PASTIX_getNextProc
#define getNextTaskNextProc	        _PASTIX_getNextTaskNextProc
#define getTaskUnmapped		        _PASTIX_getTaskUnmapped
#define hazard			        _PASTIX_hazard
#define Malt2			        _PASTIX_Malt2
#define maxProcCost		        _PASTIX_maxProcCost
#define memorySpaceCost		        _PASTIX_memorySpaceCost
#define nnz			        _PASTIX_nnz
#define nodeTreeLevel		        _PASTIX_nodeTreeLevel
#define P1D			        _PASTIX_P1D
#define P2D			        _PASTIX_P2D
#define partBuild		        _PASTIX_partBuild
#define perfcluster2		        _PASTIX_perfcluster2
#define PERF_limit_2D		        _PASTIX_PERF_limit_2D
#define printSolverInfo		        _PASTIX_printSolverInfo
#define printSymbolMatrix	        _PASTIX_printSymbolMatrix
#define printTree		        _PASTIX_printTree
#define propMappSubtree		        _PASTIX_propMappSubtree
#define propMappSubtreeNC	        _PASTIX_propMappSubtreeNC
#define propMappSubtreeNoSplit	        _PASTIX_propMappSubtreeNoSplit
#define propMappSubtreeOn1P	        _PASTIX_propMappSubtreeOn1P
#define propMappTree		        _PASTIX_propMappTree
#define propMappTreeNoSplit	        _PASTIX_propMappTreeNoSplit
#define ps_close		        _PASTIX_ps_close
#define ps_draw_node_num	        _PASTIX_ps_draw_node_num
#define ps_draw_node_owner	        _PASTIX_ps_draw_node_owner
#define ps_open			        _PASTIX_ps_open
#define ps_rec_write_tree	        _PASTIX_ps_rec_write_tree
#define ps_rec_write_tree_owner	        _PASTIX_ps_rec_write_tree_owner
#define ps_write_matrix		        _PASTIX_ps_write_matrix
#define ps_write_tree		        _PASTIX_ps_write_tree
#define ps_write_tree_owner	        _PASTIX_ps_write_tree_owner
#define putInReadyQueue		        _PASTIX_putInReadyQueue
#define queueAdd		        _PASTIX_queueAdd
#define queueAdd2		        _PASTIX_queueAdd2
#define queueClear		        _PASTIX_queueClear
#define queueCopy		        _PASTIX_queueCopy
#define queueExit		        _PASTIX_queueExit
#define queueGet		        _PASTIX_queueGet
#define queueGet2		        _PASTIX_queueGet2
#define queueInit		        _PASTIX_queueInit
#define queuePossess		        _PASTIX_queuePossess
#define queuePrint		        _PASTIX_queuePrint
#define queueRead		        _PASTIX_queueRead
#define queueReorder		        _PASTIX_queueReorder
#define queueSize		        _PASTIX_queueSize
#define recursive_sum		        _PASTIX_recursive_sum
#define setBcofPtr		        _PASTIX_setBcofPtr
#define setDistribType		        _PASTIX_setDistribType
#define setSubtreeBlokNbr	        _PASTIX_setSubtreeBlokNbr
#define setSubtreeCostLevel	        _PASTIX_setSubtreeCostLevel
#define setSubtreeDistribType	        _PASTIX_setSubtreeDistribType
#define setSubtreeLevel		        _PASTIX_setSubtreeLevel
#define setTreeCostLevel	        _PASTIX_setTreeCostLevel
#define setTreeLevel		        _PASTIX_setTreeLevel
#define simuExit		        _PASTIX_simuExit
#define simuInit		        _PASTIX_simuInit
#define simuRealloc		        _PASTIX_simuRealloc
#define solverBlend		        _PASTIX_solverBlend
#define solverCheck		        _PASTIX_solverCheck
#define solverExit		        _PASTIX_solverExit
#define solverInit		        _PASTIX_solverInit
#define solverLoad		        _PASTIX_solverLoad
#define solverMatrixGen		        _PASTIX_solverMatrixGen
#define solverRealloc		        _PASTIX_solverRealloc
#define solverSave		        _PASTIX_solverSave
#define solverSpaceCost		        _PASTIX_solverSpaceCost
#define splitCblk		        _PASTIX_splitCblk
#define splitOnProcs		        _PASTIX_splitOnProcs
#define splitPart		        _PASTIX_splitPart
#define splitSeqCblk2D		        _PASTIX_splitSeqCblk2D
#define subtreeSetCand		        _PASTIX_subtreeSetCand
#define subtreeUpdateCost	        _PASTIX_subtreeUpdateCost
#define subtreeUpdateCostLocal	        _PASTIX_subtreeUpdateCostLocal
#define symbCost		        _PASTIX_symbCost
#define symbolGener		        _PASTIX_symbolGener
#define symbolRand		        _PASTIX_symbolRand
#define symbolSpaceCost		        _PASTIX_symbolSpaceCost
#define taskBuild		        _PASTIX_taskBuild
#define taskExec_COMP1D		        _PASTIX_taskExec_COMP1D
#define taskExec_DIAG		        _PASTIX_taskExec_DIAG
#define taskExec_E1		        _PASTIX_taskExec_E1
#define taskExec_E2		        _PASTIX_taskExec_E2
#define taskSendCost		        _PASTIX_taskSendCost
#define timerAdd		        _PASTIX_timerAdd
#define timerSet		        _PASTIX_timerSet
#define timerVal		        _PASTIX_timerVal
#define totalCost		        _PASTIX_totalCost
#define treeExit		        _PASTIX_treeExit
#define treeInit		        _PASTIX_treeInit
#define treeLeaveNbr		        _PASTIX_treeLeaveNbr
#define treeLevel		        _PASTIX_treeLevel
#define updateFtgtStruct	        _PASTIX_updateFtgtStruct
#define virtualSplit                    _PASTIX_virtualSplit
#define dofConstant                     _PASTIX_dofConstant
#define dofExit			        _PASTIX_dofExit
#define dofGraph		        _PASTIX_dofGraph
#define dofInit			        _PASTIX_dofInit
#define dofSave			        _PASTIX_dofSave

/* Fax functions */
#define symbolCompact                   _PASTIX_symbolCompact
#define symbolCosti		        _PASTIX_symbolCosti
#define symbolFax		        _PASTIX_symbolFax
#define symbolFaxDgraph		        _PASTIX_symbolFaxDgraph
#define symbolFaxGraph		        _PASTIX_symbolFaxGraph
#define symbolFaxi		        _PASTIX_symbolFaxi
#define symbolFaxiGraph		        _PASTIX_symbolFaxiGraph

/* kass functions */
#define amalgamate                      _PASTIX_amalgamate
#define Build_SymbolMatrix	        _PASTIX_Build_SymbolMatrix
#define cblk_time_fact		        _PASTIX_cblk_time_fact
#define cblk_time_solve		        _PASTIX_cblk_time_solve
#define cleanCS			        _PASTIX_cleanCS
#define col_match		        _PASTIX_col_match
#define col_merge		        _PASTIX_col_merge
#define compact_graph		        _PASTIX_compact_graph
#define compute_elimination_tree        _PASTIX_compute_elimination_tree
#define compute_subtree_size	        _PASTIX_compute_subtree_size
#define CSC_Cnum2Fnum		        _PASTIX_CSC_Cnum2Fnum
#define CSC_colPerm		        _PASTIX_CSC_colPerm
#define CSC_colScale		        _PASTIX_CSC_colScale
#define CSC_Fnum2Cnum		        _PASTIX_CSC_Fnum2Cnum
#define CS_ColPerm		        _PASTIX_CS_ColPerm
#define CSC_rowPerm		        _PASTIX_CSC_rowPerm
#define CSC_rowScale		        _PASTIX_CSC_rowScale
#define CSC_sort		        _PASTIX_CSC_sort
#define CSnnz			        _PASTIX_CSnnz
#define CS_Perm			        _PASTIX_CS_Perm
#define CS_RowPerm		        _PASTIX_CS_RowPerm
#define find_supernodes		        _PASTIX_find_supernodes
#define get_son			        _PASTIX_get_son
#define ifax			        _PASTIX_ifax
#define initCS			        _PASTIX_initCS
#define is_col_match		        _PASTIX_is_col_match
#define kass			        _PASTIX_kass
#define kass_symbol		        _PASTIX_kass_symbol
#define KSupernodes		        _PASTIX_KSupernodes
#define merge_col		        _PASTIX_merge_col
#define merge_cost		        _PASTIX_merge_cost
#define Merge_Cost		        _PASTIX_Merge_Cost
#define merge_gain		        _PASTIX_merge_gain
#define partition		        _PASTIX_partition
#define partition_row		        _PASTIX_partition_row
#define Patch_SymbolMatrix	        _PASTIX_Patch_SymbolMatrix
#define post_order		        _PASTIX_post_order
#define pastix_quicksort		        _PASTIX_quicksort
#define quicksort_row		        _PASTIX_quicksort_row
#define SF_Direct		        _PASTIX_SF_Direct
#define SF_level		        _PASTIX_SF_level
#define sort_row		        _PASTIX_sort_row
#define UnionSet                        _PASTIX_UnionSet

/* Order functions */
#define orderBase                       _PASTIX_orderBase
#define orderCheck		        _PASTIX_orderCheck
#define orderExit		        _PASTIX_orderExit
#define orderInit		        _PASTIX_orderInit
#define orderLoad		        _PASTIX_orderLoad
#define orderSave                       _PASTIX_orderSave

/* sopalin functions */
#define add_two_floats                  _PASTIX_add_two_floats
#define csc_checksym		        _PASTIX_csc_checksym
#define csc_cyclic_distribution	        _PASTIX_csc_cyclic_distribution
#define cscd_addlocal		        _PASTIX_cscd_addlocal
#define cscd_addlocal_int	        _PASTIX_cscd_addlocal_int
#define cscd_checksym		        _PASTIX_cscd_checksym
#define cscd_load		        _PASTIX_cscd_load
#define cscd_noDiag		        _PASTIX_cscd_noDiag
#define cscd_redispatch_int	        _PASTIX_cscd_redispatch_int
#define cscd_redispatch_scotch	        _PASTIX_cscd_redispatch_scotch
#define cscd_save		        _PASTIX_cscd_save
#define cscd_symgraph		        _PASTIX_cscd_symgraph
#define cscd_symgraph_int	        _PASTIX_cscd_symgraph_int
#define csc_noDiag		        _PASTIX_csc_noDiag
#define csc_symgraph		        _PASTIX_csc_symgraph
#define csc_symgraph_int	        _PASTIX_csc_symgraph_int
#define get_max			        _PASTIX_get_max
#define get_min			        _PASTIX_get_min
#define keep_first		        _PASTIX_keep_first
#define keep_last                       _PASTIX_keep_last
#define dim_dgeam                       _PASTIX_dim_dgeam
#define bordi                           _PASTIX_bordi
#define buildGlob2loc		        _PASTIX_buildGlob2loc
#define buildUpdoVect		        _PASTIX_buildUpdoVect
#define cmpint			        _PASTIX_cmpint
#define CoefMatrix_Allocate	        _PASTIX_CoefMatrix_Allocate
#define CoefMatrix_Free		        _PASTIX_CoefMatrix_Free
#define CoefMatrix_Init		        _PASTIX_CoefMatrix_Init
#define correct2		        _PASTIX_correct2
#define Csc2solv		        _PASTIX_Csc2solv
#define Csc2solv_cblk		        _PASTIX_Csc2solv_cblk
#define Csc2updown		        _PASTIX_Csc2updown
#define Csc2updown_X0		        _PASTIX_Csc2updown_X0
#define CscAx			        _PASTIX_CscAx
#define CscAxPb			        _PASTIX_CscAxPb
#define CscBerr			        _PASTIX_CscBerr
#define CscBLoad		        _PASTIX_CscBLoad
#define CscbMAx			        _PASTIX_CscbMAx
#define CscBSave		        _PASTIX_CscBSave
#define CscdOrdistrib		        _PASTIX_CscdOrdistrib
#define CscdRhsUpdown		        _PASTIX_CscdRhsUpdown
#define CscdUpdownRhs		        _PASTIX_CscdUpdownRhs
#define CscExit			        _PASTIX_CscExit
#define CscGmresBeta		        _PASTIX_CscGmresBeta
#define CscGradAlpha		        _PASTIX_CscGradAlpha
#define CscGradBeta		        _PASTIX_CscGradBeta
#define CscLoad			        _PASTIX_CscLoad
#define CscNorm1		        _PASTIX_CscNorm1
#define CscNormErr		        _PASTIX_CscNormErr
#define CscOrdistrib		        _PASTIX_CscOrdistrib
#define CscRhsUpdown		        _PASTIX_CscRhsUpdown
#define CscSave			        _PASTIX_CscSave
#define CscUpdownRhs		        _PASTIX_CscUpdownRhs
#define dump1			        _PASTIX_dump1
#define dump2			        _PASTIX_dump2
#define dump3			        _PASTIX_dump3
#define dump3_LU		        _PASTIX_dump3_LU
#define dump4			        _PASTIX_dump4
#define dump5			        _PASTIX_dump5
#define dump6			        _PASTIX_dump6
#define dump7			        _PASTIX_dump7

#define GetMpiSum		        _PASTIX_GetMpiSum
#define GetMpiType		        _PASTIX_GetMpiType
#define global2localperm	        _PASTIX_global2localperm
#define global2localrhs		        _PASTIX_global2localrhs
#define mysum			        _PASTIX_mysum
#define orderSplit		        _PASTIX_orderSplit
#define orderSplit2		        _PASTIX_orderSplit2
#define orderSplit3		        _PASTIX_orderSplit3

#define redispatch_rhs		        _PASTIX_redispatch_rhs
#define sizeofsolver		        _PASTIX_sizeofsolver
#define solve_backup		        _PASTIX_solve_backup
#define solve_restore		        _PASTIX_solve_restore
#define sopalin_backup		        _PASTIX_sopalin_backup
#define sopalin_bindthread	        _PASTIX_sopalin_bindthread
#define sopalin_check_param	        _PASTIX_sopalin_check_param
#define sopalin_clean		        _PASTIX_sopalin_clean
#define sopalin_clean_smp	        _PASTIX_sopalin_clean_smp
#define sopalin_init		        _PASTIX_sopalin_init
#define sopalin_init_smp	        _PASTIX_sopalin_init_smp
#define sopalin_launch_comm	        _PASTIX_sopalin_launch_comm
#define sopalin_launch_thread	        _PASTIX_sopalin_launch_thread
#define sopalin_option		        _PASTIX_sopalin_option
#define sopalin_restore		        _PASTIX_sopalin_restore
#define symbolCostn		        _PASTIX_symbolCostn
#define symbolRustine		        _PASTIX_symbolRustine
#define symbolSplit		        _PASTIX_symbolSplit

#define Usopalin_launch                 _PASTIX_Usopalin_launch
#define Usopalin_thread                 _PASTIX_Usopalin_thread
#define Usopalin_updo_thread            _PASTIX_Usopalin_updo_thread
#define Usopalin_updo_gmres_thread      _PASTIX_Usopalin_updo_gmres_thread
#define Usopalin_updo_grad_thread       _PASTIX_Usopalin_updo_grad_thread
#define Usopalin_updo_pivot_thread      _PASTIX_Usopalin_updo_pivot_thread
#define Uupdo_thread                    _PASTIX_Uupdo_thread
#define Upivot_thread                   _PASTIX_Upivot_thread
#define Ugmres_thread                   _PASTIX_Ugmres_thread
#define Ugrad_thread                    _PASTIX_Ugrad_thread

#define Dsopalin_launch                 _PASTIX_Dsopalin_launch
#define Dsopalin_thread                 _PASTIX_Dsopalin_thread
#define Dsopalin_updo_thread            _PASTIX_Dsopalin_updo_thread
#define Dsopalin_updo_gmres_thread      _PASTIX_Dsopalin_updo_gmres_thread
#define Dsopalin_updo_grad_thread       _PASTIX_Dsopalin_updo_grad_thread
#define Dsopalin_updo_pivot_thread      _PASTIX_Dsopalin_updo_pivot_thread
#define Dupdo_thread                    _PASTIX_Dupdo_thread
#define Dpivot_thread                   _PASTIX_Dpivot_thread
#define Dgmres_thread                   _PASTIX_Dgmres_thread
#define Dgrad_thread                    _PASTIX_Dgrad_thread
#define Dupdo_down_recv		        _PASTIX_Dupdo_down_recv
#define Dupdo_thread		        _PASTIX_Dupdo_thread
#define Dupdo_up_recv		        _PASTIX_Dupdo_up_recv
#define Dup_down_smp		        _PASTIX_Dup_down_smp
#define Dwait_all		        _PASTIX_Dwait_all
#define Dwait_contrib_comp_1d	        _PASTIX_Dwait_contrib_comp_1d

#define Lsopalin_launch                 _PASTIX_Lsopalin_launch
#define Lsopalin_thread                 _PASTIX_Lsopalin_thread
#define Lsopalin_updo_thread            _PASTIX_Lsopalin_updo_thread
#define Lsopalin_updo_gmres_thread      _PASTIX_Lsopalin_updo_gmres_thread
#define Lsopalin_updo_grad_thread       _PASTIX_Lsopalin_updo_grad_thread
#define Lsopalin_updo_pivot_thread      _PASTIX_Lsopalin_updo_pivot_thread
#define Lupdo_thread                    _PASTIX_Lupdo_thread
#define Lpivot_thread                   _PASTIX_Lpivot_thread
#define Lgmres_thread                   _PASTIX_Lgmres_thread
#define Lgrad_thread                    _PASTIX_Lgrad_thread

/* Symbol functions */

#define symbolBase                      _PASTIX_symbolBase
#define symbolCheck		        _PASTIX_symbolCheck
#define symbolCost		        _PASTIX_symbolCost
#define symbolDraw		        _PASTIX_symbolDraw
#define symbolDrawColor		        _PASTIX_symbolDrawColor
#define symbolDrawFunc		        _PASTIX_symbolDrawFunc
#define symbolExit		        _PASTIX_symbolExit
#define symbolInit		        _PASTIX_symbolInit
#define symbolKeepAdd		        _PASTIX_symbolKeepAdd
#define symbolKeepCompute	        _PASTIX_symbolKeepCompute
#define symbolKeepDel		        _PASTIX_symbolKeepDel
#define symbolKeepExit		        _PASTIX_symbolKeepExit
#define symbolKeepHisto		        _PASTIX_symbolKeepHisto
#define symbolKeepInit		        _PASTIX_symbolKeepInit
#define symbolKeepPurge		        _PASTIX_symbolKeepPurge
#define symbolKeepView		        _PASTIX_symbolKeepView
#define symbolLevf		        _PASTIX_symbolLevf
#define symbolLoad		        _PASTIX_symbolLoad
#define symbolNonzeros		        _PASTIX_symbolNonzeros
#define symbolRealloc		        _PASTIX_symbolRealloc
#define symbolSave		        _PASTIX_symbolSave
#define symbolTree                      _PASTIX_symbolTree

#else  /* PASTIX_RENAME */

#define PASTIX_PREFIX(x) x

#endif /* PASTIX_RENAME */
